device_type: rk3399-rock-pi-4b
job_name: @JOB_NAME@
visibility: public
priority: 100

timeouts:
  job:
    minutes: 60
  action:
    minutes: 60
  connection:
    minutes: 2

context:
  lava_test_results_dir: /var/lib/lava-%s

actions:

- deploy:
    to: downloads
    failure_retry: 3
    timeout: { minutes: 20 }
    images:
      firmware:
        url: @FIRMWARE_URL@
        compression: gz
      os:
        url: @OS_URL@
        compression: xz
      script:
        url: https://gitlab.com/Linaro/blueprints/ci/-/raw/HEAD/support_files/ts-merge-images.sh
      capsule:
        url: @CAPSULE_URL@
      invalid_sig:
        url: @INVALID_CAPSULE_URL@
      tested_os:
        url: https://validation-linaro-org.s3.eu-west-1.amazonaws.com/testdata/ledge/yocto-arm64-lava.iso
    postprocess:
      docker:
        image: debian
        steps:
          - 'apt-get update'
          - 'apt-get install -qy fdisk gdisk mtools'
          - mcopy -o -i efiboot.wic@@1048576 rockpi4b_fw.capsule ::/EFI/BOOT/valid.capsule
          - mcopy -o -i efiboot.wic@@1048576 rockpi4b_fw_invalid_sig.capsule ::/EFI/BOOT/invalid.capsule
          - mcopy -i efiboot.wic@@1048576 ::/EFI/BOOT/startup.nsh .
          - sed -i "s#ledge.efi -f.*#ledge.efi -f -u ${LAVA_DISPATCHER_IP}/tmp/${LAVA_JOB_ID}/downloads/common/yocto-arm64-lava.iso#g" startup.nsh
          - cat startup.nsh
          - mcopy -o -i efiboot.wic@@1048576 startup.nsh ::/EFI/BOOT/
          - 'fdisk -l ts-firmware-rockpi4b.rootfs.wic'
          - 'fdisk -l efiboot.wic'
          - 'bash ts-merge-images.sh ts-firmware-rockpi4b.rootfs.wic efiboot.wic'
          - 'fdisk -l ts-firmware-rockpi4b.rootfs.wic'

- deploy:
    to: flasher
    failure_retry: 3
    timeout: { minutes: 10 }
    images:
      image:
        url: downloads://ts-firmware-rockpi4b.rootfs.wic

- boot:
    timeout:
      minutes: 15
    method: minimal
    prompts:
      - root@(.*):[/~]#
    auto_login:
      login_prompt: "login:"
      username: "root"
    transfer_overlay:
      download_command: wget -t 20 --waitretry 20 --retry-connrefused --retry-on-host-error --retry-on-http-error=401,403
      unpack_command: tar -C /var/lib/ -xzvf
